みんなの「教えて(疑問・質問)」にみんなで「答える」Q&Aコミュニティ

こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

Apache2.0とPHP5でApacheが起動しない

使っていないPCを使用して、WEBサーバを構築中です。

・WindowsXP
・Apache2.0.58
・PHP5.1.4
(これにMySQLとActivePerlもインストールする予定です)

で作っているのですが、
httpd.confファイルに

LoadModule php5_module c:/php/php5apache2.dll

を追加したところ、Apacheが起動しなくなりました。
上の文をコメントアウトすると起動します。

PHPはダウンロード&解凍しただけで、php.iniの設定等は何もしていません。

過去の質問を参考にしたのですが、解決できません。
どうぞご指導をお願いします。
初心者ですので、質問内容に不足がありましたら補足します。

投稿日時 - 2006-06-23 14:54:11

QNo.2233402

困ってます

質問者が選んだベストアンサー

php.iniを適宜編集してから
php.iniとphp5ts.dll をc:\windows 等にコピーした後
httpd.confに AddHandler php5-script .php を追加してから
Apache2を再起動します。
これでうちでも動きました

http://kamakura.cool.ne.jp/oppama/oswa/phpstart.html
に詳しく乗っています

投稿日時 - 2006-06-23 20:11:19

このQ&Aは役に立ちましたか?

3人が「このQ&Aが役に立った」と投票しています

回答(1)

あなたにオススメの質問